Package org.opensaml.saml.common.messaging.context

# Class SAMLConsentContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLConsentContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SAMLConsentContext extends BaseContext
Subcontext that carries information about a SAML Consent value.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
The SAML Consent value in use.

## Constructor Summary

Constructors
Constructor
Description
`SAMLConsentContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConsent()`
Get the SAML Consent value in use.
`void`
`setConsent(String consent)`
Set the SAML Consent value in use.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### value

@Nullable @NotEmpty private String value
The SAML Consent value in use.

## Constructor Details

### SAMLConsentContext

public SAMLConsentContext()

## Method Details

### getConsent

@Nullable @NotEmpty public String getConsent()
Get the SAML Consent value in use.

Returns:
  SAML Consent value in use

### setConsent

public void setConsent(@Nullable String consent)
Set the SAML Consent value in use.

Parameters:
  `consent` - SAML Consent value in use